summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2015-12-11 22:26:45 +0100
committerMichał Górny <mgorny@gentoo.org>2015-12-11 22:27:19 +0100
commit44d3345d828af162b2fbfd623dd8f0d7ac4ae2f9 (patch)
treece99f26e85dd3d832f5ecfa8606598a5c27d5a69 /eclass/python-any-r1.eclass
parentmultilib-build.eclass: Replace non-portable use of 'declare -g' (diff)
downloadgentoo-44d3345d828af162b2fbfd623dd8f0d7ac4ae2f9.tar.gz
gentoo-44d3345d828af162b2fbfd623dd8f0d7ac4ae2f9.tar.bz2
gentoo-44d3345d828af162b2fbfd623dd8f0d7ac4ae2f9.zip
python*-r1.eclass: Replace non-portable use of 'declare -g'
Replace uses of 'declare -g -r' (bash-4.2+) with 'readonly'. Reported by Arfrever.
Diffstat (limited to 'eclass/python-any-r1.eclass')
-rw-r--r--eclass/python-any-r1.eclass2
1 files changed, 1 insertions, 1 deletions
diff --git a/eclass/python-any-r1.eclass b/eclass/python-any-r1.eclass
index 82ead76edf18..846c0da95898 100644
--- a/eclass/python-any-r1.eclass
+++ b/eclass/python-any-r1.eclass
@@ -133,7 +133,7 @@ _python_any_set_globals() {
PYTHON_DEPS="${PYTHON_PKG_DEP} ${PYTHON_DEPS}"
done
- declare -g -r PYTHON_DEPS="|| ( ${PYTHON_DEPS})"
+ readonly PYTHON_DEPS="|| ( ${PYTHON_DEPS})"
}
_python_any_set_globals
unset -f _python_any_set_globals